re-arrange build files so scons "config" dir isnt confused with ~/.blender/2.52/config
authorCampbell Barton <ideasman42@gmail.com>
Mon, 12 Jul 2010 18:26:35 +0000 (18:26 +0000)
committerCampbell Barton <ideasman42@gmail.com>
Mon, 12 Jul 2010 18:26:35 +0000 (18:26 +0000)
22 files changed:
CMakeLists.txt
SConstruct
build_files/cmake/macros.cmake [moved from CMake/macros.cmake with 100% similarity]
build_files/make/example_scripts/linux_nanmakefiles.sh [new file with mode: 0755]
build_files/make/example_scripts/macos_nanmakefiles.sh [new file with mode: 0755]
build_files/make/example_scripts/sunos_nanmakefiles.sh [new file with mode: 0755]
build_files/scons/config/aix4-config.py [moved from config/aix4-config.py with 100% similarity]
build_files/scons/config/darwin-config.py [moved from config/darwin-config.py with 100% similarity]
build_files/scons/config/irix6-config.py [moved from config/irix6-config.py with 100% similarity]
build_files/scons/config/linux2-config.py [moved from config/linux2-config.py with 100% similarity]
build_files/scons/config/linuxcross-config.py [moved from config/linuxcross-config.py with 100% similarity]
build_files/scons/config/openbsd3-config.py [moved from config/openbsd3-config.py with 100% similarity]
build_files/scons/config/sunos5-config.py [moved from config/sunos5-config.py with 100% similarity]
build_files/scons/config/win32-mingw-config.py [moved from config/win32-mingw-config.py with 100% similarity]
build_files/scons/config/win32-vc-config.py [moved from config/win32-vc-config.py with 100% similarity]
build_files/scons/config/win64-vc-config.py [moved from config/win64-vc-config.py with 100% similarity]
build_files/scons/tools/Blender.py [moved from tools/Blender.py with 100% similarity]
build_files/scons/tools/__init__.py [moved from tools/__init__.py with 100% similarity]
build_files/scons/tools/bcolors.py [moved from tools/bcolors.py with 100% similarity]
build_files/scons/tools/btools.py [moved from tools/btools.py with 100% similarity]
build_files/scons/tools/crossmingw.py [moved from tools/crossmingw.py with 100% similarity]
build_files/scons/tools/mstoolkit.py [moved from tools/mstoolkit.py with 100% similarity]

index 3e8b812e57caa99b970f8c6f2900dc509d4ebb2b..9c14bdd6b9efab4aaec1fa852f68a19f89603e67 100644 (file)
@@ -61,7 +61,7 @@ SET(BLENDER_VERSION  2.5)
 
 #-----------------------------------------------------------------------------
 # Load some macros.
-INCLUDE(CMake/macros.cmake)
+INCLUDE(build_files/cmake/macros.cmake)
 
 #-----------------------------------------------------------------------------
 # Set default config options
index 26fa5b471981314756816ff81019d8d86e8b2716..09ada7d7f70a784cdcb0194b5074a06115a79f43 100644 (file)
@@ -46,6 +46,9 @@ import glob
 import re
 from tempfile import mkdtemp
 
+# needed for importing tools
+sys.path.append(os.path.join(".", "build_files", "scons"))
+
 import tools.Blender
 import tools.btools
 import tools.bcolors
@@ -159,7 +162,7 @@ if crossbuild and platform not in ('win32-vc', 'win64-vc'):
 
 env['OURPLATFORM'] = platform
 
-configfile = 'config'+os.sep+platform+'-config.py'
+configfile = os.path.join("build_files", "scons", "config", platform + "-config.py")
 
 if os.path.exists(configfile):
        print B.bc.OKGREEN + "Using config file: " + B.bc.ENDC + configfile
diff --git a/build_files/make/example_scripts/linux_nanmakefiles.sh b/build_files/make/example_scripts/linux_nanmakefiles.sh
new file mode 100755 (executable)
index 0000000..aa8d882
--- /dev/null
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+#
+# This is an example script to build things with the Nan Makefiles
+#
+#
+
+rm -f /tmp/.nanguess
+export MAKE=make
+export NANBLENDERHOME=`pwd`
+export MAKEFLAGS="-w -I $NANBLENDERHOME/source --no-print-directory"
+export HMAKE="$NANBLENDERHOME/source/tools/hmake/hmake"
+
+export NAN_PYTHON=/soft/python-2.2.2b1/progeny1
+export NAN_PYTHON_VERSION=2.2
+export NAN_OPENAL=/usr/local
+export NAN_JPEG=/usr/local
+export NAN_PNG=/usr/local
+export NAN_SDL=/usr/local
+export NAN_ODE=/usr/local
+export NAN_ZLIB=/usr/local
+export NAN_FREETYPE=/usr/local
+
+export NAN_MOZILLA_INC=/usr/local/include/mozilla-1.0.1/
+export NAN_MOZILLA_LIB=/usr/local/lib/mozilla-1.0.1/
+#export NAN_NSPR=/scratch/irulan/mein/nspr-4.2.2/mozilla/nsprpub/dist/
+export CPPFLAGS="$CPPFLAGS"
+export CFLAGS="$CFLAGS"
+export INTERNATIONAL=true
+
+$HMAKE -C intern/
+if [ $? -eq 0 ]; then
+        $HMAKE -C source/
+fi
+$HMAKE -C release
+
+#cd release
+#make
diff --git a/build_files/make/example_scripts/macos_nanmakefiles.sh b/build_files/make/example_scripts/macos_nanmakefiles.sh
new file mode 100755 (executable)
index 0000000..d2cce20
--- /dev/null
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+rm -f /tmp/.nanguess
+export MAKE=make
+export NANBLENDERHOME=`pwd`
+export MAKEFLAGS="-w -I $NANBLENDERHOME/source --no-print-directory"
+export HMAKE="$NANBLENDERHOME/source/tools/hmake/hmake"
+echo 
+echo NANBLENDERHOME : ${NANBLENDERHOME}
+
+export NAN_PYTHON=/sw
+
+$HMAKE -C intern/
+if [ $? -eq 0 ]; then
+        $HMAKE -C source/
+fi
+cd release
+make
diff --git a/build_files/make/example_scripts/sunos_nanmakefiles.sh b/build_files/make/example_scripts/sunos_nanmakefiles.sh
new file mode 100755 (executable)
index 0000000..25dd17b
--- /dev/null
@@ -0,0 +1,35 @@
+#!/bin/sh
+# This is an example build script for SunOS5.8
+
+rm -f /tmp/.nanguess
+export MAKE=make
+export NANBLENDERHOME=`pwd`
+export MAKEFLAGS="-w -I $NANBLENDERHOME/source --no-print-directory"
+export HMAKE="$NANBLENDERHOME/source/tools/hmake/hmake"
+
+export NAN_PYTHON=/soft/python-2.2.2b1/SunOS5.8
+export NAN_PYTHON_VERSION=2.2
+export NAN_OPENAL=/usr/local
+export NAN_JPEG=/usr/local
+export NAN_PNG=/usr/local
+export NAN_SDL=/usr/local
+export NAN_ODE=/usr/local
+export NAN_OPENSSL=/soft/ssl/openssl-0.9.6e
+export NAN_ZLIB=/usr/local
+export NAN_FREETYPE=/usr/local
+
+export NAN_MOZILLA_INC=/usr/local/include/mozilla-1.0.1/
+export NAN_MOZILLA_LIB=/usr/local/lib/mozilla-1.0.1/
+export NAN_NSPR=/scratch/irulan/mein/nspr-4.2.2/mozilla/nsprpub/dist/
+export CPPFLAGS="$CPPFLAGS"
+export CFLAGS="$CFLAGS"
+export INTERNATIONAL=true
+
+$HMAKE -C intern/
+if [ $? -eq 0 ]; then
+        $HMAKE -C source/
+fi
+$HMAKE -C release
+
+#cd release
+#make